Waves Compatible with Mac OS X Sierra

All Waves plugins V9.6 and software applications are now fully compatible with Mac OS X Sierra 10.12.1. Compatibility has been tested and confirmed.

If you are using a VST-compatible DAW, you will need to reinstall your Waves plugins and software applications using Waves Central in order to use them in Mac OS X Sierra.

See Specials

Recent Videos

Recent Posts

Categories: News

Tags: Support